# Interface Items

#### Hierarchy

- Items

#####
Index

### Properties

borderColor
color
high
low
markerDisplayed
markerShape
markerSize
svgClassName
svgStyle
value

## Properties

### borderColor

borderColor: string

The default border color for the data items.

### color

color: string

The color of the bar or marker for the data item. This override can be used to highlight important values or thresholds.

### high

high: number

The high value for range bar/area. Define 'low' and 'high' instead of 'value' to create a range bar/area spark chart.

### low

low: number

The low value for range bar/area. Define 'low' and 'high' instead of 'value' to create a range bar/area spark chart.

### markerDisplayed

markerDisplayed: string

Defines whether a marker should be displayed for the data item. Only applies to line and area spark charts.

### markerShape

markerShape: string

The shape of the data markers. Can take the name of a built-in shape or the SVG path commands for a custom shape. Only applies to line and area spark charts.

### markerSize

markerSize: number

The size of the data markers in pixels. Only applies to line and area spark charts.

### svgClassName

svgClassName: string

The CSS style class to apply to the data item. The style class and inline style will override any other styling specified through the properties. For tooltips and hover interactivity, it's recommended to also pass a representative color to the item color attribute.

#### Deprecated

Since 18.1.0. The svgClassName property is deprecated. This API is not recommended in Redwood theme. Use other customization APIs where appropriate.

### svgStyle

svgStyle: object

The inline style to apply to the data item. The style class and inline style will override any other styling specified through the properties. For tooltips and hover interactivity, it's recommended to also pass a representative color to the item color attribute. Only SVG CSS style properties are supported.

#### Deprecated

Since 18.1.0. The svgStyle property is deprecated. This API is not recommended in Redwood theme. Use other customization APIs where appropriate.

### value

value: number

The value of the data item.

Generated using TypeDoc